Create VertoFx Payment Request
curl --request POST \
--url https://api.royalti.io/integrations/vertofx/payment-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"beneficiaryId": "<string>",
"amount": 123,
"currency": "<string>",
"walletId": "<string>",
"reference": "<string>",
"memo": "<string>"
}
'import requests
url = "https://api.royalti.io/integrations/vertofx/payment-requests"
payload = {
"beneficiaryId": "<string>",
"amount": 123,
"currency": "<string>",
"walletId": "<string>",
"reference": "<string>",
"memo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beneficiaryId: '<string>',
amount: 123,
currency: '<string>',
walletId: '<string>',
reference: '<string>',
memo: '<string>'
})
};
fetch('https://api.royalti.io/integrations/vertofx/payment-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Payment request created successfully",
"data": {
"paymentId": "vfx-payment-123",
"status": "pending"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Vertofx
Create VertoFx Payment Request
Create VertoFX Payment Request
POST
/
integrations
/
vertofx
/
payment-requests
Create VertoFx Payment Request
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Description:The
/integrations/vertofx/payment-requests endpoint allows creation of new payment requests through VertoFX.
Authorization:
- Required role:
owneronly
POST
Request Payload:
| Parameter | Type | Description |
|---|---|---|
| beneficiaryId | string | ID of the beneficiary to send payment to |
| amount | number | Amount to be sent |
| currency | string | Currency code |
| walletId | string | ID of the wallet to send from |
| reference | string | Payment reference |
| memo | string | Optional memo for the payment |
Code Examples
const response = await fetch('https://api.royalti.io/integrations/vertofx/payment-requests', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"beneficiaryId": "sample-beneficiaryId",
"amount": 1,
"currency": "sample-currency",
"walletId": "sample-walletId",
"reference": "sample-reference",
"memo": "sample-memo"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/integrations/vertofx/payment-requests',
headers={
'Authorization': f'Bearer {token}'
},
json={"beneficiaryId":"sample-beneficiaryId","amount":1,"currency":"sample-currency","walletId":"sample-walletId","reference":"sample-reference","memo":"sample-memo"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/integrations/vertofx/payment-requests \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"beneficiaryId":"sample-beneficiaryId","amount":1,"currency":"sample-currency","walletId":"sample-walletId","reference":"sample-reference","memo":"sample-memo"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I